Bug 226227 - archivers/unalz: [maintainer] update to 0.66 which adds C++11 to permit building on 11 && CURRENT
Summary: archivers/unalz: [maintainer] update to 0.66 which adds C++11 to permit build...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2018-02-26 23:27 UTC by Chris Hutchinson
Modified: 2018-03-19 23:11 UTC (History)
1 user (show)

See Also:
portmaster: maintainer-feedback+


Attachments
svn diff to update archivers/unalz to 0.66 (2.29 KB, patch)
2018-02-26 23:27 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
QA log for archivers/unalz (2.61 KB, text/plain)
2018-02-26 23:28 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2018-02-26 23:27:11 UTC
Created attachment 191034 [details]
svn diff to update archivers/unalz to 0.66

archivers/unalz 0.65 does not permit building on 11 && CURRENT
due to (among other things) lack of C++11 support.
0.66 (this version) adds the necessary changes to properly build
and run on 11 && CURRENT.

CHANGES
MASSIVE cleanup, and re-write required on all files, as
most of the code was in iso-8859-15, and then edited on
a Korean windows computer, where Korean text was used, then
saved with the same European/English Code page; which resulted
in the text largely being Mojibake.
I was able to correct much of it, and simply eliminated the
rest. Where I was then able to better evaluate the mess, and
add, or remove; so as to make it legible, and C++11 compliant.
I'm pleased to say it now works better than before. :-)
(sorry for the long prologue).
tl,dr;
CONVERTED all source files to UNIX line endings
CONVERTED all source to UTF-8
UPDATED   files/patch-UnAlz.cpp
BUMPED    PORTVERSION (Makefile)
REMOVED   PORTREVISION (Makefile)
REMOVED   dos2unix (Makefile)
UPDATED   distinfo

Please find svn diff, and QA log attached.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2018-02-26 23:28:53 UTC
Created attachment 191035 [details]
QA log for archivers/unalz

QA log from the jail archivers/unalz was tested on.
Comment 2 Yuri Victorovich freebsd_committer 2018-02-27 07:19:43 UTC
Fails on 12i386:
--- UnAlz.o ---
UnAlz.cpp:435:54: error: cast from pointer to smaller type 'CHAR' (aka 'char') loses information
        zipHeader.fileName[zipHeader.head.fileNameLength] = (CHAR)NULL;
                                                            ^~~~~~~~~~
UnAlz.cpp:940:12: error: cast from pointer to smaller type 'char' loses information
                        *last = (char)NULL;
                                ^~~~~~~~~~
Comment 3 Yuri Victorovich freebsd_committer 2018-03-11 21:10:23 UTC
Ping -)
Comment 4 Yuri Victorovich freebsd_committer 2018-03-18 23:35:49 UTC
Committed with small changes.
Thank you for the update!
Comment 5 commit-hook freebsd_committer 2018-03-18 23:35:57 UTC
A commit references this bug:

Author: yuri
Date: Sun Mar 18 23:35:37 UTC 2018
New revision: 464970
URL: https://svnweb.freebsd.org/changeset/ports/464970

Log:
  archivers/unalz: Update to 0.66

  Port changes:
  * Change MASTER_SITES and WWW to https
  * Remove USES=dos2unix

  PR:		226227
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com> (maintainer)

Changes:
  head/archivers/unalz/Makefile
  head/archivers/unalz/distinfo
  head/archivers/unalz/files/patch-UnAlz.cpp
  head/archivers/unalz/pkg-descr
Comment 6 Chris Hutchinson 2018-03-19 23:04:21 UTC
(In reply to Yuri Victorovich from comment #4)
> Committed with small changes.
> Thank you for the update!

Ugh. Sorry Yuri. Been buried at $WORK. :(

Thank you!

--Chris
Comment 7 Yuri Victorovich freebsd_committer 2018-03-19 23:11:10 UTC
(In reply to Chris Hutchinson from comment #6)

No problem!

Thanks,
Yuri